# https://github.com/gioapp/gc

include ./../../../root.mk

# Git Org
LIB_REPO=				github.com/gioapp
LIB_REPO_FSPATH=		$(GOPATH)/src/$(LIB_REPO)

# Git Repo's under that org.
LIB=					$(LIB_REPO)/gc
LIB_FSPATH=				$(LIB_REPO_FSPATH)/gc

this-print:
	@echo
	@echo LIB_REPO: 			$(LIB_REPO)
	@echo LIB_REPO_FSPATH: 		$(LIB_REPO_FSPATH)
	@echo

	@echo
	@echo LIB: 					$(LIB)
	@echo LIB_FSPATH: 			$(LIB_FSPATH)
	@echo

### GIT

this-git-clone:
	$(MAKE) git-clone-args LIB=$(LIB_REPO)/gc LIB_FSPATH=$(LIB_REPO_FSPATH)/gc
	
this-git-delete:
	rm -rf $(LIB_REPO_FSPATH)

this-vscode-open:
	code $(LIB_REPO_FSPATH)

build-ex:
	rm -rf $(PWD)/bin/ex/
	mkdir -p $(PWD)/bin/ex/
	mkdir -p $(PWD)/bin/ex/www

	# desk
	cd $(LIB_FSPATH) && go build -o $(PWD)/bin/ex .

	# www
	cd $(LIB_FSPATH) && $(GIO_BIN_GLOBAL) -target js $(LIB) .
	cp -r $(LIB_FSPATH)/gc/* $(PWD)/bin/ex/www/.

run-desk: build-ex
	$(PWD)/bin/ex/gc

run-web: build-ex
	cd $(PWD)/bin/ex && goexec -quiet 'http.ListenAndServe(":8080", http.FileServer(http.Dir("www")))'
	


